# Additional Resources


## TensorFlow WhitePaper

Additional details about the TensorFlow programming model and the underlying
implementation can be found in out white paper:

* [TensorFlow: Large-scale machine learning on heterogeneous systems](http://download.tensorflow.org/paper/whitepaper2015.pdf)

### Citation

If you use TensorFlow in your research and would like to cite the TensorFlow
system, we suggest you cite the paper above.
You can use this [BibTeX entry](../resources/bib.md).  As the project progresses, we
may update the suggested citation with new papers.

Please only use the TensorFlow name and marks when accurately referencing this
software distribution, and do not use our marks in a way that suggests you are
endorsed by or otherwise affiliated with Google. When referring to our marks,
please include the following attribution statement: "TensorFlow, the TensorFlow
logo and any related marks are trademarks of Google Inc."

## Community

### Development

The source is hosted on GitHub: <https://github.com/tensorflow/tensorflow>.

If you are interested in contributing to TensorFlow please
[review the contributing guide](
https://github.com/tensorflow/tensorflow/blob/master/CONTRIBUTING.md).

### Help / Support / How do I?

For help and support, technical or algorithmic questions, please submit
your questions to Stack Overflow:
<https://stackoverflow.com/questions/tagged/tensorflow>.
Please do not use the mailing list or issue tracker for support.

### Discussions

For general discussions, please join the [TensorFlow discuss mailing list](
  https://groups.google.com/a/tensorflow.org/d/forum/discuss).
This list is intended for general discussions about TensorFlow development and
directions, not as a help forum. Instead, direct your questions to
[Stack Overflow](https://stackoverflow.com/questions/tagged/tensorflow), and
report issues on [GitHub](https://github.com/tensorflow/tensorflow/issues).

### Report Issues

Please report bugs, feature requests and installation / compatibility issues on
the [TensorFlow issues tracker](
https://github.com/tensorflow/tensorflow/issues) on GitHub.
If you need help with using TensorFlow, please do not use the issue
tracker for that. Instead, direct your questions to [Stack Overflow](https://stackoverflow.com/questions/tagged/tensorflow).

